//Fully Assembly Fit Together

ZAxisMountPlateWidth = 100.5;
ZAxisMountPlateZOffset = 2;
SpindlePlateWidth = 89.5;
StandardThickness = 8;
LaserHousingZOffset = 30;
SpindleBracketThickness = 12;
ZPlateThicknessAtSpindleBracket = 9;
SpindleBracketThicknessAtSpindle = 10;
SpindleDiameter = 52;
LowerSpindleMountLocation = 26.66;
UpperSpindleMountLocation = 70.34;
SpindleBasePlateThicknessAtSpindle = 16;

//Spindle Mount Plate
rotate([90,0,0]) import("Z-Axis Mount Plate.stl");

//2x Spindle Brackets
translate([0,-ZPlateThicknessAtSpindleBracket,LowerSpindleMountLocation + SpindleBracketThickness/2]) rotate([180,0,0]) import("Spindle Bracket.stl");
translate([0,-ZPlateThicknessAtSpindleBracket,UpperSpindleMountLocation + SpindleBracketThickness/2]) rotate([180,0,0]) import("Spindle Bracket.stl");

//Spindle
translate([ZAxisMountPlateWidth/2,-ZPlateThicknessAtSpindleBracket-SpindleBracketThicknessAtSpindle-SpindleDiameter/2,SpindleBasePlateThicknessAtSpindle - ZAxisMountPlateZOffset]) import("Spindle.stl");

//Spindle Bottom Plate
translate([ZAxisMountPlateWidth,-SpindleBracketThickness,0]) rotate([0,0,180]) import("Spindle Bottom Plate.stl");

