//Fully Assembly Fit Together

ZAxisMountPlateWidth = 100.5;
SpindlePlateWidth = 74;
StandardThickness = 8;
LaserHousingZOffset = 0;
ZAxisMountPlateThickness = 12;
ZAxisMountPlateInset = 3;

//Show Spindle and Z-Axis Items
import("Z-Axis Spindle Assembly.stl");

//Add Left Spindle Cover
rotate([90,0,0]){ rotate([0,-90,0]) import("Spindle Side Cover - Left Side.stl");}

//Add Right Spindle Cover
translate([ZAxisMountPlateWidth + StandardThickness,0,0]) rotate([90,0,0]){ rotate([0,-90,0]) import("Spindle Side Cover - Right Side.stl"); }

//Add Laser Housing
translate([0,-(ZAxisMountPlateThickness-ZAxisMountPlateInset+SpindlePlateWidth),-LaserHousingZOffset]) rotate([90,0,0]) import("Laser Housing Swooped Top Rev B With Extras.stl");