//Side Walls For Laser Housing

LaserWallWidth = 45.5;
LaserWallHeight = 95;
LaserWallThickness = 8+3;
LaserTextThickness = 1.5;
LetterMinorShift = 0.1;
LetterOffsetFromBottom = 9+12/2-8/2;
LetterSpacing = 12;
InsetIntoOtherPlate = 3;

difference(){
linear_extrude(height = LaserWallThickness, $fn = 3600)
                import(file = "Laser Side Wall.dxf");


//L
translate([(LaserWallWidth-InsetIntoOtherPlate)/2,LetterOffsetFromBottom + LetterSpacing * 4,LaserWallThickness - LaserTextThickness + LetterMinorShift])
    linear_extrude(height = LaserTextThickness) {
        text(text=str("L"), halign="center");
    }
    
//A
translate([(LaserWallWidth-InsetIntoOtherPlate)/2,LetterOffsetFromBottom + LetterSpacing * 3,LaserWallThickness - LaserTextThickness + LetterMinorShift])
    linear_extrude(height = LaserTextThickness) {
        text(text=str("A"), halign="center");
    }
    
//S
translate([(LaserWallWidth-InsetIntoOtherPlate)/2,LetterOffsetFromBottom + LetterSpacing * 2,LaserWallThickness - LaserTextThickness + LetterMinorShift])
    linear_extrude(height = LaserTextThickness) {
        text(text=str("S"), halign="center");
    }
    
//E
translate([(LaserWallWidth-InsetIntoOtherPlate)/2,LetterOffsetFromBottom + LetterSpacing * 1,LaserWallThickness - LaserTextThickness + LetterMinorShift])
    linear_extrude(height = LaserTextThickness) {
        text(text=str("E"), halign="center");
    }
    
//R
translate([(LaserWallWidth-InsetIntoOtherPlate)/2,LetterOffsetFromBottom + LetterSpacing * 0,LaserWallThickness - LaserTextThickness + LetterMinorShift])
    linear_extrude(height = LaserTextThickness) {
        text(text=str("R"), halign="center");
    }
}